split obj dir into separate release and debug dirs
authorJosh Coalson <jcoalson@users.sourceforce.net>
Thu, 21 Nov 2002 08:58:52 +0000 (08:58 +0000)
committerJosh Coalson <jcoalson@users.sourceforce.net>
Thu, 21 Nov 2002 08:58:52 +0000 (08:58 +0000)
test/test_bins.sh
test/test_libFLAC++.sh
test/test_libFLAC.sh
test/test_libOggFLAC++.sh
test/test_libOggFLAC.sh
test/test_metaflac.sh
test/test_streams.sh

index 1fdb75b..b793b79 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/flac:../obj/bin:$PATH
+PATH=../src/flac:../obj/release/b:../obj/debug/bin:$PATH
 BINS_PATH=../../test_files/bins
 
 flac --help 1>/dev/null 2>/dev/null || (echo "ERROR can't find flac executable" 1>&2 && exit 1)
index 6a42eb4..bc38006 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libFLAC++/.libs:../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC++/.libs:../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/test_libFLAC++:../obj/bin:$PATH
+PATH=../src/test_libFLAC++:../obj/release/b:../obj/debug/bin:$PATH
 export PATH
 
 if test_libFLAC++ ; then : ; else
index 44ddf4d..e828be0 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/test_libFLAC:../obj/bin:$PATH
+PATH=../src/test_libFLAC:../obj/release/b:../obj/debug/bin:$PATH
 export PATH
 
 if test_libFLAC ; then : ; else
index f61fed1..00ea45f 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libOggFLAC++/.libs:../src/libOggFLAC/.libs:../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libOggFLAC++/.libs:../src/libOggFLAC/.libs:../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/test_libOggFLAC++:../obj/bin:$PATH
+PATH=../src/test_libOggFLAC++:../obj/release/b:../obj/debug/bin:$PATH
 export PATH
 
 if test_libOggFLAC++ ; then : ; else
index 95b0efd..15b0e32 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libOggFLAC/.libs../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libOggFLAC/.libs../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/test_libOggFLAC:../obj/bin:$PATH
+PATH=../src/test_libOggFLAC:../obj/release/b:../obj/debug/bin:$PATH
 export PATH
 
 if test_libOggFLAC ; then : ; else
index 852bb87..f334022 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/flac:../src/metaflac:../obj/bin:$PATH
+PATH=../src/flac:../src/metaflac:../obj/release/b:../obj/debug/bin:$PATH
 
 flacfile=metaflac.flac
 
index bb224ad..2e24035 100755 (executable)
@@ -17,9 +17,9 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/lib:$LD_LIBRARY_PATH
+LD_LIBRARY_PATH=../src/libFLAC/.libs:../obj/release/lib:../obj/debug/lib:$LD_LIBRARY_PATH
 export LD_LIBRARY_PATH
-PATH=../src/flac:../src/test_streams:../obj/bin:$PATH
+PATH=../src/flac:../src/test_streams:../obj/release/b:../obj/debug/bin:$PATH
 
 flac --help 1>/dev/null 2>/dev/null || (echo "ERROR can't find flac executable" 1>&2 && exit 1)
 if [ $? != 0 ] ; then exit 1 ; fi